Module javafx.base
Package javafx.beans.property.adapter

# Class JavaBeanDoublePropertyBuilder

java.lang.Object
javafx.beans.property.adapter.JavaBeanDoublePropertyBuilder

public final class JavaBeanDoublePropertyBuilder extends Object
A `JavaBeanDoublePropertyBuilder` can be used to create `JavaBeanDoubleProperties`. To create a `JavaBeanDoubleProperty` one first has to call `create()` to generate a builder, set the required properties, and then one can call `build()` to generate the property.

Not all properties of a builder have to specified, there are several combinations possible. As a minimum the `name(java.lang.String)` of the property and the `bean(java.lang.Object)` have to be specified. If the names of the getter and setter follow the conventions, this is sufficient. Otherwise it is possible to specify an alternative name for the getter and setter (`getter(java.lang.String)` and `setter(java.lang.String)`) or the getter and setter `Methods` directly (`getter(java.lang.reflect.Method)` and `setter(java.lang.reflect.Method)`).

All methods to change properties return a reference to this builder, to enable method chaining.

If you have to generate adapters for the same property of several instances of the same class, you can reuse a `JavaBeanDoublePropertyBuilder`. by switching the Java Bean instance (with `bean(java.lang.Object)` and calling `build()`.

Since:
  JavaFX 2.1
See Also:
  - `JavaBeanDoubleProperty`

## Constructor Summary

Constructors
Constructor
Description
`JavaBeanDoublePropertyBuilder()`

## Method Summary

Modifier and Type
Method
Description
`JavaBeanDoublePropertyBuilder`
`bean(Object bean)`
Set the Java Bean instance the adapter should connect to
`JavaBeanDoublePropertyBuilder`
`beanClass(Class<?> beanClass)`
Set the Java Bean class in which the getter and setter should be searched.
`JavaBeanDoubleProperty`
`build()`
Generate a new `JavaBeanDoubleProperty` with the current settings.
`static JavaBeanDoublePropertyBuilder`
`create()`
Create a new instance of `JavaBeanDoublePropertyBuilder`
`JavaBeanDoublePropertyBuilder`
`getter(Method getter)`
Set the getter method directly.
`JavaBeanDoublePropertyBuilder`
`getter(String getter)`
Set an alternative name for the getter.
`JavaBeanDoublePropertyBuilder`
`name(String name)`
Set the name of the property
`JavaBeanDoublePropertyBuilder`
`setter(Method setter)`
Set the setter method directly.
`JavaBeanDoublePropertyBuilder`
`setter(String setter)`
Set an alternative name for the setter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaBeanDoublePropertyBuilder

public JavaBeanDoublePropertyBuilder()

## Method Details

### create

public static JavaBeanDoublePropertyBuilder create()
Create a new instance of `JavaBeanDoublePropertyBuilder`

Returns:
  the new `JavaBeanDoublePropertyBuilder`

### build

public JavaBeanDoubleProperty build() throws NoSuchMethodException
Generate a new `JavaBeanDoubleProperty` with the current settings.

Returns:
  the new `JavaBeanDoubleProperty`
Throws:
  `NoSuchMethodException` - if the settings were not sufficient to find the getter and the setter of the Java Bean property
  `IllegalArgumentException` - if the Java Bean property is not of type `double` or `Double`

### name

public JavaBeanDoublePropertyBuilder name(String name)
Set the name of the property

Parameters:
  `name` - the name of the property
Returns:
  a reference to this builder to enable method chaining

### bean

public JavaBeanDoublePropertyBuilder bean(Object bean)
Set the Java Bean instance the adapter should connect to

Parameters:
  `bean` - the Java Bean instance
Returns:
  a reference to this builder to enable method chaining

### beanClass

public JavaBeanDoublePropertyBuilder beanClass(Class<?> beanClass)
Set the Java Bean class in which the getter and setter should be searched. This can be useful, if the builder should generate adapters for several Java Beans of different types.

Parameters:
  `beanClass` - the Java Bean class
Returns:
  a reference to this builder to enable method chaining

### getter

public JavaBeanDoublePropertyBuilder getter(String getter)
Set an alternative name for the getter. This can be omitted, if the name of the getter follows Java Bean naming conventions.

Parameters:
  `getter` - the alternative name of the getter
Returns:
  a reference to this builder to enable method chaining

### setter

public JavaBeanDoublePropertyBuilder setter(String setter)
Set an alternative name for the setter. This can be omitted, if the name of the setter follows Java Bean naming conventions.

Parameters:
  `setter` - the alternative name of the setter
Returns:
  a reference to this builder to enable method chaining

### getter

public JavaBeanDoublePropertyBuilder getter(Method getter)
Set the getter method directly. This can be omitted, if the name of the getter follows Java Bean naming conventions.

Parameters:
  `getter` - the getter
Returns:
  a reference to this builder to enable method chaining

### setter

public JavaBeanDoublePropertyBuilder setter(Method setter)
Set the setter method directly. This can be omitted, if the name of the setter follows Java Bean naming conventions.

Parameters:
  `setter` - the setter
Returns:
  a reference to this builder to enable method chaining